com.smartgwt.client.bean.types

## Class PLongArrayValueType

- java.lang.Object
- - com.smartgwt.client.bean.BeanValueType<ValueType>
  - - com.smartgwt.client.bean.types.ArrayValueType<long[]>
    - - com.smartgwt.client.bean.types.PLongArrayValueType

-     public class PLongArrayValueType
      extends ArrayValueType<long[]>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.smartgwt.client.bean.BeanValueType

      `BeanValueType.Convertability, BeanValueType.MetaFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PLongArrayValueType()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected long[]` | `convertFrom(boolean[] array)`
    `protected long[]` | `convertFrom(double[] array)`
    `protected long[]` | `convertFrom(float[] array)`
    `protected long[]` | `convertFrom(int[] array)`
    `protected long[]` | `convertFrom(long[] array)`
    `protected long[]` | `convertFrom(java.lang.Object[] array)`
    `protected java.lang.Class` | `getValueType()`
    `static void` | `registerValueType()`

    - ### Methods inherited from class com.smartgwt.client.bean.types.ArrayValueType

      `convertabilityFrom, convertabilityFromPrimitiveArray, convertabilityToComponentType, convertFrom, convertFromPrimitiveArray, getComponentType, getComponentValueType, isAssignableFrom, leastConvertabilityToComponentType`

    - ### Methods inherited from class com.smartgwt.client.bean.BeanValueType

      `conversionException, convertabilityFrom, convertabilityToString, convertabilityToString, convertFrom, convertMapToJavascriptObject, convertToJava, convertToJavaScriptArray, convertToJavaScriptObject, convertToString, doConvertToString, getBeanValueType, isA, isAssignableFrom, isAssignableFrom, nullValue, registerBasicValueTypes, registerBeanValueType, wrapInJavascriptArray`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PLongArrayValueType

          public PLongArrayValueType()

  - ### Method Detail

    - #### registerValueType

          public static void registerValueType()

    - #### getValueType

          protected java.lang.Class getValueType()

      Specified by:
        `getValueType` in class `BeanValueType<long[]>`

    - #### convertFrom

          protected long[] convertFrom(java.lang.Object[] array)

      Specified by:
        `convertFrom` in class `ArrayValueType<long[]>`

    - #### convertFrom

          protected long[] convertFrom(boolean[] array)

      Overrides:
        `convertFrom` in class `ArrayValueType<long[]>`

    - #### convertFrom

          protected long[] convertFrom(double[] array)

      Overrides:
        `convertFrom` in class `ArrayValueType<long[]>`

    - #### convertFrom

          protected long[] convertFrom(float[] array)

      Overrides:
        `convertFrom` in class `ArrayValueType<long[]>`

    - #### convertFrom

          protected long[] convertFrom(int[] array)

      Overrides:
        `convertFrom` in class `ArrayValueType<long[]>`

    - #### convertFrom

          protected long[] convertFrom(long[] array)

      Overrides:
        `convertFrom` in class `ArrayValueType<long[]>`